using System;

// Leaf - Drink class

class Drink : MenuItem
{
     // Enum til at definere størrelser på drikkevarer
    public enum Size { Small, Medium, Large }
    private decimal basePrice; 
    private Size drinkSize; 
    
    //constructor med navn størrelse og grundpris
   public Drink(string name, Size size, decimal basePrice)
    {
        Name = name;
        drinkSize = size;
        this.basePrice = basePrice + ((int)size * 0.25m); // Increase price based on size
    }
    // Returner prisen for drikkevaren
    public override decimal GetPrice() => basePrice;

     // Viser drikkevaren mednavn, størrelse og pris
    public override void Display(int depth)
    {
        Console.WriteLine(new string('-', depth) + $" {Name} ({drinkSize}): ${basePrice}");
    }
}