using System;
using System.Collections.Generic;

// Composite - Meal (kan indeholde flere menu items)
class Meal : MenuItem
{
    // Liste over menu items, som måltidet indeholder
    private List<MenuItem> items = new List<MenuItem>();

    // Constructor til at oprette et måltid med et navn
    public Meal(string name)
    {
        Name = name;
    }
    
    // Tilføj et menu item til måltidet
    public void Add(MenuItem item)
    {
        items.Add(item);
    }

    // Beregn den samlede pris for alle menu items i måltidet
    public override decimal GetPrice()
    {
        decimal total = 0;
        foreach (var item in items)
        {
            total += item.GetPrice(); // Lægger prisen for hvert item til total pris
        }
        return total;
    }

    // Fjern et menu item fra måltidet
    public void Remove(MenuItem item)
    {
        items.Remove(item);
    }

    // Vis måltidet og dets indhold med indrykning
    public override void Display(int depth)
    {
        Console.WriteLine(new string('=', depth) + $" {Name} Meal"); // Vis måltidets navn
        foreach (var item in items)
        {
            item.Display(depth + 1); // Vis hvert item med ekstra indrykning derfor +1
        }
        Console.WriteLine(new string('=', depth) + $" Total Price: ${GetPrice()}"); // Viser den samlede pris
    }
}
